Bug 193143 - Need libglib-2.0.a in the devel package
Need libglib-2.0.a in the devel package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 12:42 EDT by David Cantrell
Modified: 2012-04-30 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 21:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2006-05-25 12:42:57 EDT
The loader in anaconda needs libglib-2.0.a in the glib2 devel package.
Comment 1 Matthias Clasen 2006-05-25 21:50:48 EDT
its back now
Comment 2 Colin Walters 2012-04-27 17:38:42 EDT
Does anaconda really still need a static copy of glib2?
Comment 3 Colin Walters 2012-04-27 17:39:06 EDT
(It's worth checking every 6 years probably...)
Comment 4 David Cantrell 2012-04-30 09:45:28 EDT
No, we stopped statically linking loader in December of 2007.  Thanks for checking though.  From the logs:

commit 70306f69b24e0245479b2faa396c6cb4c472960e
Author: Bill Nottingham <notting@redhat.com>
Date:   Wed Dec 19 14:50:38 2007 -0500

    Switch to a dynamically linked stage 1.
    
    - Use udev, not udev-static.
    - Include module-init-tools.
    - Link loader dynamically.
    - Split DSO dependency finder off into a separate functions file; use
    it in both mk-images and upd-instroot
    - Adjust mk-images to use it
    - Nuke hardcoded s390 library list for stage1
    - Add non-DSO library deps to stage1 - libgcc (backtrace), libnss_files
Comment 5 Colin Walters 2012-04-30 15:48:38 EDT
(In reply to comment #4)
> No, we stopped statically linking loader in December of 2007.  Thanks for
> checking though.  From the logs:
> 
> commit 70306f69b24e0245479b2faa396c6cb4c472960e
> Author: Bill Nottingham <notting@redhat.com>
> Date:   Wed Dec 19 14:50:38 2007 -0500
> 
>     Switch to a dynamically linked stage 1.

Thanks David, http://koji.fedoraproject.org/koji/buildinfo?buildID=316321

Note You need to log in before you can comment on or make changes to this bug.